Subject: Re: drivers/char/hvc_* and /Documentation/powerpc/hvcs.txt

From: Olof Johansson <[email-masked]>
Date: Fri, 25 Jan 2008 19:04:09 -0600

On Fri, Jan 25, 2008 at 04:39:27PM -0600, Timur Tabi wrote:
> Hi,
> 
> I'm working on a console driver for the Freescale hypervisor.  I notice a bunch 
> of hvc_* files in the drivers/char directory.  I also noticed 
> /Documentation/powerpc/hvcs.txt.
> 
> My guess is that hvcs.txt talks about drivers/char/hvcs.c, which is a console 
> driver specific to some IBM hypervisor.  The hvc_*.c files are based on that 
> code but they're more generic and allow people to write console drivers for 
> other hypervisors easliy.  Am I right?

Hvcs is the server-side driver in some environments. I.e. a hvc console
connects through the hypervisor to a hvcs in another partition.

> If so, does this mean that I can take hvc_beat.c, modify it to make Freescale 
> hypervisor calls instead, and presto, I'm done?

Yep, pretty much. It's real easy to write a new backend to hvc, I've got
a couple for various bringup environments here as well.

-Olof